Create an empty connector
The connector will be initialized with a version 1 state.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://cde.staging.productsup.com/connectors" \ -H "Content-Type: application/json" \ -d '{ "connector-type": "transform", "connector-name": "omdb", "connector-description": "clever description", "readme": "readme content" }'{
"message": "Connector created.",
"resource": "connector",
"data": {
"id": "3e8e1a12-2ba2-4e1c-abb9-25ded0ac7411",
"type": "transform",
"name": "omdb",
"description": "clever description",
"readme": "readme content",
"flow": "default",
"main-version-number": null,
"owner": "019e16f4-0448-7342-8a07-c5d94abe0fe6",
"integrator": "019e16f4-0448-7342-8a07-c5d94abe0fe6",
"versions": [
{
"name": "omdb",
"description": "clever description",
"readme": "readme content",
"version": "1.0.0",
"logo": null,
"created-at": "2026-05-11T14:12:31+02:00",
"updated-at": "2026-05-11T14:12:31+02:00",
"deleted-at": null,
"state": "created",
"config": {
"update-progress": [],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-command-options",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": "unix:///var/run/docker.sock",
"container-api": {
"image": null,
"version-constraint": "^0.25"
}
},
"export": null,
"data-service": null,
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "cre",
"version": null
}
},
"platform_prod_reference": {
"executable": null,
"platform-connector": null,
"target-accounts": [],
"target-projects": [],
"target-sites": [],
"enabled-for-accounts": [],
"enabled-for-projects": [],
"enabled-for-sites": [],
"assigned-to-sites": [],
"released": false,
"version": null,
"runtime": {
"environment": "cre",
"version": null
}
},
"prod_config": null,
"dev_config": null
}
],
"main": null
}
}{
"message": "Bad request.",
"errors": {
"connector-type": "This value should not be blank.",
"connector-name": "This value should not be blank."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}How is this guide?